/*
 * Copyright (c) 2015, NVIDIA Corporation. All rights reserved.
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __MACH_TEGRA_MC_REGS_T18X_H__
#define __MACH_TEGRA_MC_REGS_T18X_H__

/* Auto generated. Do not edit. */
#define MC_REGIF_CONFIG                                         0xf80
#define MC_REGIF_BROADCAST                                      0xf84
#define MC_REGIF_UNICAST0                                       0xf90
#define MC_REGIF_UNICAST1                                       0xf94
#define MC_REGIF_UNICAST2                                       0xf98
#define MC_REGIF_UNICAST3                                       0xf9c
#define MC_INTSTATUS                                            0x0
#define MC_INTMASK                                              0x4
#define MC_INTPRIORITY                                          0xec4
#define MC_HUBC_INTSTATUS                                       0xf2c
#define MC_GLOBAL_INTSTATUS                                     0xf24
#define MC_GLOBAL_CRITICAL_INTSTATUS                            0xf28
#define MC_ERR_STATUS                                           0x8
#define MC_ERR_ADR                                              0xc
#define MC_PCFIFO_CLIENT_CONFIG0                                0xdd0
#define MC_PCFIFO_CLIENT_CONFIG1                                0xdd4
#define MC_PCFIFO_CLIENT_CONFIG2                                0xdd8
#define MC_PCFIFO_CLIENT_CONFIG3                                0xddc
#define MC_PCFIFO_CLIENT_CONFIG4                                0xde0
#define MC_PCFIFO_CLIENT_CONFIG5                                0xbf4
#define MC_EMEM_CFG                                             0x50
#define MC_EMEM_ADR_CFG                                         0x54
#define MC_EMEM_ADR_CFG_DEV0                                    0x58
#define MC_EMEM_ADR_CFG_DEV1                                    0x5c
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE                          0xdf8
#define MC_EMEM_ADR_CFG_CHANNEL_MASK                            0x60
#define MC_EMEM_ADR_CFG_CHANNEL_MASK_1                          0xdfc
#define MC_EMEM_ADR_CFG_BANK_MASK_0                             0x64
#define MC_EMEM_ADR_CFG_BANK_MASK_1                             0x68
#define MC_EMEM_ADR_CFG_BANK_MASK_2                             0x6c
#define MC_SECURITY_CFG0                                        0x70
#define MC_SECURITY_CFG1                                        0x74
#define MC_SECURITY_CFG3                                        0x9bc
#define MC_SECURITY_RSV                                         0x7c
#define MC_EMEM_ARB_CFG                                         0x90
#define MC_EMEM_ARB_OUTSTANDING_REQ                             0x94
#define MC_EMEM_ARB_TIMING_RCD                                  0x98
#define MC_EMEM_ARB_TIMING_RP                                   0x9c
#define MC_EMEM_ARB_TIMING_RC                                   0xa0
#define MC_EMEM_ARB_TIMING_RAS                                  0xa4
#define MC_EMEM_ARB_TIMING_FAW                                  0xa8
#define MC_EMEM_ARB_TIMING_RRD                                  0xac
#define MC_EMEM_ARB_TIMING_RAP2PRE                              0xb0
#define MC_EMEM_ARB_TIMING_WAP2PRE                              0xb4
#define MC_EMEM_ARB_TIMING_R2R                                  0xb8
#define MC_EMEM_ARB_TIMING_W2W                                  0xbc
#define MC_EMEM_ARB_TIMING_R2W                                  0xc0
#define MC_EMEM_ARB_TIMING_W2R                                  0xc4
#define MC_EMEM_ARB_TIMING_RFCPB                                0x6c0
#define MC_EMEM_ARB_TIMING_CCDMW                                0x6c4
#define MC_EMEM_ARB_REFPB_HP_CTRL                               0x6f0
#define MC_EMEM_ARB_REFPB_BANK_CTRL                             0x6f4
#define MC_EMEM_ARB_DA_TURNS                                    0xd0
#define MC_EMEM_ARB_DA_COVERS                                   0xd4
#define MC_EMEM_ARB_MISC0                                       0xd8
#define MC_EMEM_ARB_MISC1                                       0xdc
#define MC_EMEM_ARB_MISC2                                       0xc8
#define MC_EMEM_ARB_RING1_THROTTLE                              0xe0
#define MC_EMEM_ARB_RING3_THROTTLE                              0xe4
#define MC_EMEM_ARB_NISO_THROTTLE                               0x6b0
#define MC_EMEM_ARB_OVERRIDE                                    0xe8
#define MC_EMEM_ARB_RSV                                         0xec
#define MC_CLKEN_OVERRIDE                                       0xf4
#define MC_TIMING_CONTROL_DBG                                   0xf8
#define MC_TIMING_CONTROL                                       0xfc
#define MC_STAT_CONTROL                                         0x100
#define MC_STAT_STATUS                                          0x104
#define MC_STAT_EMC_CLOCK_LIMIT                                 0x108
#define MC_STAT_EMC_CLOCK_LIMIT_MSBS                            0x10c
#define MC_STAT_EMC_CLOCKS                                      0x110
#define MC_STAT_EMC_CLOCKS_MSBS                                 0x114
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_LO                    0x118
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_LO                    0x158
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_HI                    0x11c
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_HI                    0x15c
#define MC_STAT_EMC_FILTER_SET0_ADR_LIMIT_UPPER                 0xa20
#define MC_STAT_EMC_FILTER_SET1_ADR_LIMIT_UPPER                 0xa24
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_LO            0x198
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_LO            0x1a8
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_HI            0x19c
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_HI            0x1ac
#define MC_STAT_EMC_FILTER_SET0_VIRTUAL_ADR_LIMIT_UPPER         0xa28
#define MC_STAT_EMC_FILTER_SET1_VIRTUAL_ADR_LIMIT_UPPER         0xa2c
#define MC_STAT_EMC_FILTER_SET0_ASID                            0x1a0
#define MC_STAT_EMC_FILTER_SET1_ASID                            0x1b0
#define MC_STAT_EMC_FILTER_SET0_SLACK_LIMIT                     0x120
#define MC_STAT_EMC_FILTER_SET1_SLACK_LIMIT                     0x160
#define MC_STAT_EMC_FILTER_SET0_CLIENT_0                        0x128
#define MC_STAT_EMC_FILTER_SET1_CLIENT_0                        0x168
#define MC_STAT_EMC_FILTER_SET0_CLIENT_1                        0x12c
#define MC_STAT_EMC_FILTER_SET1_CLIENT_1                        0x16c
#define MC_STAT_EMC_FILTER_SET0_CLIENT_2                        0x130
#define MC_STAT_EMC_FILTER_SET1_CLIENT_2                        0x170
#define MC_STAT_EMC_FILTER_SET0_CLIENT_3                        0x134
#define MC_STAT_EMC_FILTER_SET0_CLIENT_4                        0xb88
#define MC_STAT_EMC_FILTER_SET0_CLIENT_5                        0xbc4
#define MC_STAT_EMC_FILTER_SET1_CLIENT_3                        0x174
#define MC_STAT_EMC_FILTER_SET1_CLIENT_4                        0xb8c
#define MC_STAT_EMC_FILTER_SET1_CLIENT_5                        0xbc8
#define MC_STAT_EMC_SET0_COUNT                                  0x138
#define MC_STAT_EMC_SET0_COUNT_MSBS                             0x13c
#define MC_STAT_EMC_SET1_COUNT                                  0x178
#define MC_STAT_EMC_SET1_COUNT_MSBS                             0x17c
#define MC_STAT_EMC_SET0_SLACK_ACCUM                            0x140
#define MC_STAT_EMC_SET0_SLACK_ACCUM_MSBS                       0x144
#define MC_STAT_EMC_SET1_SLACK_ACCUM                            0x180
#define MC_STAT_EMC_SET1_SLACK_ACCUM_MSBS                       0x184
#define MC_STAT_EMC_SET0_HISTO_COUNT                            0x148
#define MC_STAT_EMC_SET0_HISTO_COUNT_MSBS                       0x14c
#define MC_STAT_EMC_SET1_HISTO_COUNT                            0x188
#define MC_STAT_EMC_SET1_HISTO_COUNT_MSBS                       0x18c
#define MC_STAT_EMC_SET0_MINIMUM_SLACK_OBSERVED                 0x150
#define MC_STAT_EMC_SET1_MINIMUM_SLACK_OBSERVED                 0x190
#define MC_STAT_EMC_SET0_IDLE_CYCLE_COUNT                       0x1b8
#define MC_STAT_EMC_SET0_IDLE_CYCL_COUNT_MSBS                   0x1bc
#define MC_STAT_EMC_SET1_IDLE_CYCLE_COUNT                       0x1c8
#define MC_STAT_EMC_SET1_IDLE_CYCL_COUNT_MSBS                   0x1cc
#define MC_STAT_EMC_SET0_IDLE_CYCLE_PARTITION_SELECT            0x1c0
#define MC_STAT_EMC_SET1_IDLE_CYCLE_PARTITION_SELECT            0x1d0
#define MC_CLIENT_HOTRESET_CTRL                                 0x200
#define MC_CLIENT_HOTRESET_CTRL_1                               0x970
#define MC_CLIENT_HOTRESET_STATUS                               0x204
#define MC_CLIENT_HOTRESET_STATUS_1                             0x974
#define MC_EMEM_ARB_ISOCHRONOUS_0                               0x208
#define MC_EMEM_ARB_ISOCHRONOUS_1                               0x20c
#define MC_EMEM_ARB_ISOCHRONOUS_2                               0x210
#define MC_EMEM_ARB_ISOCHRONOUS_3                               0x214
#define MC_EMEM_ARB_ISOCHRONOUS_4                               0xb94
#define MC_EMEM_ARB_ISOCHRONOUS_5                               0xba8
#define MC_EMEM_ARB_HYSTERESIS_0                                0x218
#define MC_EMEM_ARB_HYSTERESIS_1                                0x21c
#define MC_EMEM_ARB_HYSTERESIS_2                                0x220
#define MC_EMEM_ARB_HYSTERESIS_3                                0x224
#define MC_EMEM_ARB_HYSTERESIS_4                                0xb84
#define MC_EMEM_ARB_HYSTERESIS_5                                0xba4
#define MC_EMEM_ARB_DHYSTERESIS_0                               0xbb0
#define MC_EMEM_ARB_DHYSTERESIS_1                               0xbb4
#define MC_EMEM_ARB_DHYSTERESIS_2                               0xbb8
#define MC_EMEM_ARB_DHYSTERESIS_3                               0xbbc
#define MC_EMEM_ARB_DHYSTERESIS_4                               0xbc0
#define MC_EMEM_ARB_DHYSTERESIS_5                               0xbf0
#define MC_EMEM_ARB_DHYST_CTRL                                  0xbcc
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_0                        0xbd0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_1                        0xbd4
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_2                        0xbd8
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_3                        0xbdc
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_4                        0xbe0
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_5                        0xbe4
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_6                        0xbe8
#define MC_EMEM_ARB_DHYST_TIMEOUT_UTIL_7                        0xbec
#define MC_RESERVED_RSV                                         0x3fc
#define MC_BPMPPC_EXTRA_SNAP_LEVELS                             0xa60
#define MC_SCEDMAPC_EXTRA_SNAP_LEVELS                           0xa74
#define MC_SCEPC_EXTRA_SNAP_LEVELS                              0xa70
#define MC_FTOP_EXTRA_SNAP_LEVELS                               0x2bc
#define MC_VICPC3_EXTRA_SNAP_LEVELS                             0xa80
#define MC_JPG_EXTRA_SNAP_LEVELS                                0xa3c
#define MC_HOST_EXTRA_SNAP_LEVELS                               0xa14
#define MC_DIS_EXTRA_SNAP_LEVELS                                0x2ac
#define MC_APEDMAPC_EXTRA_SNAP_LEVELS                           0xa78
#define MC_VICPC_EXTRA_SNAP_LEVELS                              0xa1c
#define MC_UFSHCPC_EXTRA_SNAP_LEVELS                            0xa58
#define MC_AONDMAPC_EXTRA_SNAP_LEVELS                           0xa6c
#define MC_USBX_EXTRA_SNAP_LEVELS                               0x404
#define MC_PCX_EXTRA_SNAP_LEVELS                                0x2b8
#define MC_MSE2_EXTRA_SNAP_LEVELS                               0xe08
#define MC_VICPC2_EXTRA_SNAP_LEVELS                             0xa7c
#define MC_DFD_EXTRA_SNAP_LEVELS                                0xa4c
#define MC_NVD2_EXTRA_SNAP_LEVELS                               0xe00
#define MC_SDM_EXTRA_SNAP_LEVELS                                0xa44
#define MC_APB_EXTRA_SNAP_LEVELS                                0x2a4
#define MC_ISP_EXTRA_SNAP_LEVELS                                0xa08
#define MC_USBD_EXTRA_SNAP_LEVELS                               0xa18
#define MC_MSE_EXTRA_SNAP_LEVELS                                0x40c
#define MC_AUD_EXTRA_SNAP_LEVELS                                0xa10
#define MC_NIC_EXTRA_SNAP_LEVELS                                0xa54
#define MC_GK2_EXTRA_SNAP_LEVELS                                0xa40
#define MC_BPMPDMAPC_EXTRA_SNAP_LEVELS                          0xa64
#define MC_NVD3_EXTRA_SNAP_LEVELS                               0xe04
#define MC_SAX_EXTRA_SNAP_LEVELS                                0x2c0
#define MC_EQOSPC_EXTRA_SNAP_LEVELS                             0xa5c
#define MC_NVD_EXTRA_SNAP_LEVELS                                0xa38
#define MC_SDM1_EXTRA_SNAP_LEVELS                               0xa50
#define MC_HDAPC_EXTRA_SNAP_LEVELS                              0xa48
#define MC_AONPC_EXTRA_SNAP_LEVELS                              0xa68
#define MC_SD_EXTRA_SNAP_LEVELS                                 0xa04
#define MC_DIS2_EXTRA_SNAP_LEVELS                               0xa84
#define MC_VE_EXTRA_SNAP_LEVELS                                 0x2d8
#define MC_GK_EXTRA_SNAP_LEVELS                                 0xa00
#define MC_VIDEO_PROTECT_BOM                                    0x648
#define MC_VIDEO_PROTECT_SIZE_MB                                0x64c
#define MC_VIDEO_PROTECT_BOM_ADR_HI                             0x978
#define MC_VIDEO_PROTECT_REG_CTRL                               0x650
#define MC_ERR_VPR_STATUS                                       0x654
#define MC_ERR_VPR_ADR                                          0x658
#define MC_VIDEO_PROTECT_VPR_OVERRIDE                           0x418
#define MC_VIDEO_PROTECT_VPR_OVERRIDE1                          0x590
#define MC_EMEM_CFG_ACCESS_CTRL                                 0x664
#define MC_TZ_SECURITY_CTRL                                     0x668
#define MC_EMEM_ARB_OUTSTANDING_REQ_RING3                       0x66c
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO                        0x6b4
#define MC_EMEM_ARB_RING0_THROTTLE_MASK                         0x6bc
#define MC_EMEM_ARB_NISO_THROTTLE_MASK                          0x6b8
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1                        0xb80
#define MC_SEC_CARVEOUT_BOM                                     0x670
#define MC_SEC_CARVEOUT_SIZE_MB                                 0x674
#define MC_SEC_CARVEOUT_ADR_HI                                  0x9d4
#define MC_SEC_CARVEOUT_REG_CTRL                                0x678
#define MC_ERR_SEC_STATUS                                       0x67c
#define MC_ERR_SEC_ADR                                          0x680
#define MC_PC_IDLE_CLOCK_GATE_CONFIG                            0x684
#define MC_STUTTER_CONTROL                                      0x688
#define MC_RESERVED_RSV_1                                       0x958
#define MC_DVFS_PIPE_SELECT                                     0x95c
#define MC_SCEPC_PTSA_MIN                                       0x790
#define MC_AUD_PTSA_MIN                                         0x54c
#define MC_EQOSPC_PTSA_MAX                                      0x758
#define MC_APEDMAPC_PTSA_RATE                                   0x7a4
#define MC_MLL_MPCORER_PTSA_RATE                                0x44c
#define MC_RING2_PTSA_RATE                                      0x440
#define MC_USBD_PTSA_RATE                                       0x530
#define MC_USBX_PTSA_MIN                                        0x528
#define MC_JPG_PTSA_RATE                                        0x584
#define MC_APB_PTSA_MAX                                         0x4f0
#define MC_USBD_PTSA_MIN                                        0x534
#define MC_DIS_PTSA_MIN                                         0x420
#define MC_RING1_PTSA_MIN                                       0x480
#define MC_DIS_PTSA_MAX                                         0x424
#define MC_SD_PTSA_MAX                                          0x4d8
#define MC_MSE_PTSA_RATE                                        0x4c4
#define MC_PCX_PTSA_MAX                                         0x4b4
#define MC_VICPC_PTSA_MIN                                       0x558
#define MC_AONDMAPC_PTSA_MIN                                    0x784
#define MC_ISP_PTSA_RATE                                        0x4a0
#define MC_RING2_PTSA_MAX                                       0x448
#define MC_BPMPDMAPC_PTSA_MIN                                   0x76c
#define MC_AUD_PTSA_RATE                                        0x548
#define MC_HOST_PTSA_MIN                                        0x51c
#define MC_SDM1_PTSA_RATE                                       0x640
#define MC_MLL_MPCORER_PTSA_MAX                                 0x454
#define MC_SD_PTSA_MIN                                          0x4d4
#define MC_NIC_PTSA_MAX                                         0x740
#define MC_NVD_PTSA_MAX                                         0x580
#define MC_RING1_PTSA_RATE                                      0x47c
#define MC_JPG_PTSA_MIN                                         0x588
#define MC_AONPC_PTSA_MAX                                       0x77c
#define MC_MSE2_PTSA_MAX                                        0x7d0
#define MC_HDAPC_PTSA_MIN                                       0x62c
#define MC_JPG_PTSA_MAX                                         0x58c
#define MC_VE_PTSA_MAX                                          0x43c
#define MC_UFSHCPC_PTSA_MAX                                     0x74c
#define MC_DFD_PTSA_MAX                                         0x63c
#define MC_SCEDMAPC_PTSA_RATE                                   0x798
#define MC_VICPC_PTSA_RATE                                      0x554
#define MC_BPMPPC_PTSA_RATE                                     0x75c
#define MC_GK_PTSA_MAX                                          0x544
#define MC_SCEPC_PTSA_MAX                                       0x794
#define MC_SCEDMAPC_PTSA_MIN                                    0x79c
#define MC_VICPC_PTSA_MAX                                       0x55c
#define MC_SDM_PTSA_MAX                                         0x624
#define MC_NVD_PTSA_RATE                                        0x578
#define MC_MSE2_PTSA_MIN                                        0x7cc
#define MC_PCX_PTSA_MIN                                         0x4b0
#define MC_SAX_PTSA_RATE                                        0x4b8
#define MC_APB_PTSA_MIN                                         0x4ec
#define MC_SCEPC_PTSA_RATE                                      0x78c
#define MC_EQOSPC_PTSA_MIN                                      0x754
#define MC_EQOSPC_PTSA_RATE                                     0x750
#define MC_AONDMAPC_PTSA_MAX                                    0x788
#define MC_AONPC_PTSA_MIN                                       0x778
#define MC_VICPC3_PTSA_MIN                                      0x7b4
#define MC_GK2_PTSA_MIN                                         0x614
#define MC_PCX_PTSA_RATE                                        0x4ac
#define MC_RING1_PTSA_MAX                                       0x484
#define MC_HDAPC_PTSA_RATE                                      0x628
#define MC_MLL_MPCORER_PTSA_MIN                                 0x450
#define MC_GK2_PTSA_MAX                                         0x618
#define MC_SDM1_PTSA_MIN                                        0x730
#define MC_VICPC3_PTSA_RATE                                     0x7b0
#define MC_AUD_PTSA_MAX                                         0x550
#define MC_GK2_PTSA_RATE                                        0x610
#define MC_NVD3_PTSA_MAX                                        0x7c4
#define MC_ISP_PTSA_MAX                                         0x4a8
#define MC_NVD_PTSA_MIN                                         0x57c
#define MC_UFSHCPC_PTSA_MIN                                     0x748
#define MC_FTOP_PTSA_RATE                                       0x50c
#define MC_DFD_PTSA_MIN                                         0x638
#define MC_VICPC3_PTSA_MAX                                      0x7b8
#define MC_NVD3_PTSA_MIN                                        0x7c0
#define MC_USBX_PTSA_MAX                                        0x52c
#define MC_DIS_PTSA_RATE                                        0x41c
#define MC_USBD_PTSA_MAX                                        0x538
#define MC_APEDMAPC_PTSA_MAX                                    0x7ac
#define MC_USBX_PTSA_RATE                                       0x524
#define MC_BPMPDMAPC_PTSA_MAX                                   0x770
#define MC_FTOP_PTSA_MAX                                        0x514
#define MC_HDAPC_PTSA_MAX                                       0x630
#define MC_SD_PTSA_RATE                                         0x4d0
#define MC_BPMPDMAPC_PTSA_RATE                                  0x768
#define MC_DFD_PTSA_RATE                                        0x634
#define MC_SDM_PTSA_RATE                                        0x61c
#define MC_FTOP_PTSA_MIN                                        0x510
#define MC_SDM_PTSA_MIN                                         0x620
#define MC_APB_PTSA_RATE                                        0x4e8
#define MC_RING2_PTSA_MIN                                       0x444
#define MC_UFSHCPC_PTSA_RATE                                    0x744
#define MC_BPMPPC_PTSA_MAX                                      0x764
#define MC_MSE2_PTSA_RATE                                       0x7c8
#define MC_MSE_PTSA_MIN                                         0x4c8
#define MC_NVD3_PTSA_RATE                                       0x7bc
#define MC_HOST_PTSA_RATE                                       0x518
#define MC_VE_PTSA_RATE                                         0x434
#define MC_AONPC_PTSA_RATE                                      0x774
#define MC_SAX_PTSA_MIN                                         0x4bc
#define MC_NIC_PTSA_RATE                                        0x738
#define MC_SCEDMAPC_PTSA_MAX                                    0x7a0
#define MC_ISP_PTSA_MIN                                         0x4a4
#define MC_AONDMAPC_PTSA_RATE                                   0x780
#define MC_SDM1_PTSA_MAX                                        0x734
#define MC_HOST_PTSA_MAX                                        0x520
#define MC_BPMPPC_PTSA_MIN                                      0x760
#define MC_SAX_PTSA_MAX                                         0x4c0
#define MC_VE_PTSA_MIN                                          0x438
#define MC_APEDMAPC_PTSA_MIN                                    0x7a8
#define MC_GK_PTSA_MIN                                          0x540
#define MC_MSE_PTSA_MAX                                         0x4cc
#define MC_NIC_PTSA_MIN                                         0x73c
#define MC_GK_PTSA_RATE                                         0x53c
#define MC_SMMU_SMMU_PTSA_MIN					0x45c
#define MC_SMMU_SMMU_PTSA_RATE					0x458
#define MC_SMMU_SMMU_PTSA_MAX					0x460
#define MC_PTSA_GRANT_DECREMENT                                 0x960
#define MC_LATENCY_ALLOWANCE_AON_0                              0x714
#define MC_LATENCY_ALLOWANCE_BPMP_0                             0x70c
#define MC_LATENCY_ALLOWANCE_XUSB_1                             0x380
#define MC_LATENCY_ALLOWANCE_SDMMCAA_0                          0x3bc
#define MC_LATENCY_ALLOWANCE_SDMMCA_0                           0x3b8
#define MC_LATENCY_ALLOWANCE_NVDISPLAY_0                        0x708
#define MC_LATENCY_ALLOWANCE_ISP2_0                             0x370
#define MC_LATENCY_ALLOWANCE_SE_0                               0x3e0
#define MC_LATENCY_ALLOWANCE_ISP2_1                             0x374
#define MC_LATENCY_ALLOWANCE_APEDMA_0                           0x724
#define MC_LATENCY_ALLOWANCE_VIC_0                              0x394
#define MC_LATENCY_ALLOWANCE_NVDEC_0                            0x3d8
#define MC_LATENCY_ALLOWANCE_EQOS_0                             0x700
#define MC_LATENCY_ALLOWANCE_TSEC_0                             0x390
#define MC_LATENCY_ALLOWANCE_XUSB_0                             0x37c
#define MC_LATENCY_ALLOWANCE_TSECB_0                            0x3f0
#define MC_LATENCY_ALLOWANCE_AFI_0                              0x2e0
#define MC_LATENCY_ALLOWANCE_SCE_0                              0x71c
#define MC_LATENCY_ALLOWANCE_APE_0                              0x3dc
#define MC_LATENCY_ALLOWANCE_GPU2_0                             0x3e8
#define MC_LATENCY_ALLOWANCE_SDMMC_0                            0x3c0
#define MC_LATENCY_ALLOWANCE_PTC_0                              0x34c
#define MC_LATENCY_ALLOWANCE_NVJPG_0                            0x3e4
#define MC_LATENCY_ALLOWANCE_ETR_0                              0x3ec
#define MC_LATENCY_ALLOWANCE_MPCORE_0                           0x320
#define MC_LATENCY_ALLOWANCE_VI2_0                              0x398
#define MC_LATENCY_ALLOWANCE_SCEDMA_0                           0x720
#define MC_LATENCY_ALLOWANCE_AONDMA_0                           0x718
#define MC_LATENCY_ALLOWANCE_SATA_0                             0x350
#define MC_LATENCY_ALLOWANCE_HC_0                               0x310
#define MC_LATENCY_ALLOWANCE_UFSHC_0                            0x704
#define MC_LATENCY_ALLOWANCE_AXIS_0                             0x3f8
#define MC_LATENCY_ALLOWANCE_GPU_0                              0x3ac
#define MC_LATENCY_ALLOWANCE_SDMMCAB_0                          0x3c4
#define MC_LATENCY_ALLOWANCE_NVENC_0                            0x328
#define MC_LATENCY_ALLOWANCE_HDA_0                              0x318
#define MC_LATENCY_ALLOWANCE_BPMPDMA_0                          0x710
#define MC_MIN_LENGTH_NVDEC_1                                   0xe28
#define MC_MIN_LENGTH_AON_0                                     0xb68
#define MC_MIN_LENGTH_APE_0                                     0xb34
#define MC_MIN_LENGTH_APEDMA_0                                  0xb78
#define MC_MIN_LENGTH_BPMP_0                                    0xb60
#define MC_MIN_LENGTH_TSEC_0                                    0x93c
#define MC_MIN_LENGTH_VI2_0                                     0x944
#define MC_MIN_LENGTH_VIC_1                                     0xb7c
#define MC_MIN_LENGTH_NVJPG_0                                   0xb3c
#define MC_MIN_LENGTH_HDA_0                                     0x8c4
#define MC_MIN_LENGTH_NVENC_0                                   0x8d4
#define MC_MIN_LENGTH_AONDMA_0                                  0xb6c
#define MC_MIN_LENGTH_SDMMC_0                                   0xb18
#define MC_MIN_LENGTH_ISP2_0                                    0x91c
#define MC_MIN_LENGTH_HC_0                                      0x8bc
#define MC_MIN_LENGTH_VIC_0                                     0x940
#define MC_MIN_LENGTH_SE_0                                      0xb38
#define MC_MIN_LENGTH_NVDEC_0                                   0xb30
#define MC_MIN_LENGTH_SATA_0                                    0x8fc
#define MC_MIN_LENGTH_XUSB_1                                    0x92c
#define MC_MIN_LENGTH_EQOS_0                                    0xb54
#define MC_MIN_LENGTH_SDMMCAA_0                                 0xb14
#define MC_MIN_LENGTH_NVDISPLAY_0                               0xb5c
#define MC_MIN_LENGTH_GPU_0                                     0xb04
#define MC_MIN_LENGTH_AFI_0                                     0x88c
#define MC_MIN_LENGTH_ETR_0                                     0xb44
#define MC_MIN_LENGTH_UFSHC_0                                   0xb58
#define MC_MIN_LENGTH_ISP2_1                                    0x920
#define MC_MIN_LENGTH_XUSB_0                                    0x928
#define MC_MIN_LENGTH_SCE_0                                     0xb70
#define MC_MIN_LENGTH_MPCORE_0                                  0x8cc
#define MC_MIN_LENGTH_BPMPDMA_0                                 0xb64
#define MC_MIN_LENGTH_TSECB_0                                   0xb48
#define MC_MIN_LENGTH_SDMMCA_0                                  0xb10
#define MC_MIN_LENGTH_SCEDMA_0                                  0xb74
#define MC_MIN_LENGTH_AXIS_0                                    0xb50
#define MC_MIN_LENGTH_PTC_0                                     0x8f8
#define MC_MIN_LENGTH_SDMMCAB_0                                 0xb1c
#define MC_MIN_LENGTH_GPU2_0                                    0xb40
#define MC_EMEM_ARB_OVERRIDE_1                                  0x968
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_0                         0x984
#define MC_VIDEO_PROTECT_GPU_OVERRIDE_1                         0x988
#define MC_EMEM_ARB_STATS_0                                     0x990
#define MC_EMEM_ARB_STATS_1                                     0x994
#define MC_MTS_CARVEOUT_BOM                                     0x9a0
#define MC_MTS_CARVEOUT_SIZE_MB                                 0x9a4
#define MC_MTS_CARVEOUT_ADR_HI                                  0x9a8
#define MC_MTS_CARVEOUT_REG_CTRL                                0x9ac
#define MC_ERR_MTS_STATUS                                       0x9b0
#define MC_ERR_MTS_ADR                                          0x9b4
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS_1                    0xbfc
#define MC_ERR_GENERALIZED_CARVEOUT_STATUS                      0xc00
#define MC_ERR_GENERALIZED_CARVEOUT_ADR                         0xc04
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2     0xd78
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5     0xc44
#define MC_SECURITY_CARVEOUT4_CFG0                              0xcf8
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS2                    0xd10
#define MC_SECURITY_CARVEOUT4_SIZE_128KB                        0xd04
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS4                    0xc28
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1     0xc34
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4     0xc90
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0     0xd20
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1     0xd74
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS5                    0xc2c
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0     0xc30
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4     0xd80
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS5                    0xccc
#define MC_SECURITY_CARVEOUT3_SIZE_128KB                        0xcb4
#define MC_SECURITY_CARVEOUT2_CFG0                              0xc58
#define MC_SECURITY_CARVEOUT1_CFG0                              0xc08
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2     0xc88
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS0                    0xc68
#define MC_SECURITY_CARVEOUT3_BOM                               0xcac
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS2                    0xc70
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5     0xd84
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3     0xd7c
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0     0xc80
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS4                    0xd18
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS5                    0xd1c
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS1                    0xcbc
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3     0xc3c
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2     0xc38
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS2                    0xcc0
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS2                    0xd60
#define MC_SECURITY_CARVEOUT3_CFG0                              0xca8
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS0                    0xcb8
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3     0xc8c
#define MC_SECURITY_CARVEOUT2_SIZE_128KB                        0xc64
#define MC_SECURITY_CARVEOUT5_BOM_HI                            0xd50
#define MC_SECURITY_CARVEOUT1_SIZE_128KB                        0xc14
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS3                    0xd14
#define MC_SECURITY_CARVEOUT1_BOM                               0xc0c
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4     0xd30
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS4                    0xd68
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS0                    0xd58
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS4                    0xcc8
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5     0xce4
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2     0xd28
#define MC_SECURITY_CARVEOUT3_CLIENT_ACCESS3                    0xcc4
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS4                    0xc78
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS1                    0xc1c
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS0                    0xc18
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS1                    0xd5c
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3     0xd2c
#define MC_SECURITY_CARVEOUT3_BOM_HI                            0xcb0
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3     0xcdc
#define MC_SECURITY_CARVEOUT2_BOM_HI                            0xc60
#define MC_SECURITY_CARVEOUT4_BOM_HI                            0xd00
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS3                    0xd64
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4     0xce0
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1     0xc84
#define MC_SECURITY_CARVEOUT5_SIZE_128KB                        0xd54
#define MC_SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5     0xc94
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1     0xd24
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2     0xcd8
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS1                    0xd0c
#define MC_SECURITY_CARVEOUT5_CLIENT_ACCESS5                    0xd6c
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS3                    0xc74
#define MC_SECURITY_CARVEOUT5_CFG0                              0xd48
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0     0xcd0
#define MC_SECURITY_CARVEOUT4_BOM                               0xcfc
#define MC_SECURITY_CARVEOUT2_BOM                               0xc5c
#define MC_SECURITY_CARVEOUT5_BOM                               0xd4c
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS3                    0xc24
#define MC_SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0     0xd70
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS5                    0xc7c
#define MC_SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1     0xcd4
#define MC_SECURITY_CARVEOUT1_BOM_HI                            0xc10
#define MC_SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5     0xd34
#define MC_SECURITY_CARVEOUT1_CLIENT_ACCESS2                    0xc20
#define MC_SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4     0xc40
#define MC_SECURITY_CARVEOUT2_CLIENT_ACCESS1                    0xc6c
#define MC_SECURITY_CARVEOUT4_CLIENT_ACCESS0                    0xd08
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1    0x225c
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5     0x203c
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS3                   0x233c
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3    0x21c4
#define MC_SECURITY_CARVEOUT7_CFG0                              0x2050
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1    0x243c
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1    0x252c
#define MC_SECURITY_CARVEOUT12_CFG0                             0x21e0
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0    0x2758
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS5                   0x25c4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS3                   0x215c
#define MC_SECURITY_CARVEOUT15_BOM_HI                           0x22d8
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5     0x208c
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS2                   0x2248
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS3                   0x265c
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5    0x221c
#define MC_SECURITY_CARVEOUT9_BOM_HI                            0x20f8
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS0                   0x22e0
#define MC_SECURITY_CARVEOUT22_BOM                              0x2504
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2    0x2170
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS3                    0x210c
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0    0x2208
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4    0x2678
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0    0x2488
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5    0x24ec
#define MC_SECURITY_CARVEOUT9_CFG0                              0x20f0
#define MC_SECURITY_CARVEOUT15_CFG0                             0x22d0
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2     0x2120
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS1                   0x23d4
#define MC_SECURITY_CARVEOUT7_SIZE_128KB                        0x205c
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS1                   0x2384
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2    0x2490
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS0                   0x2380
#define MC_SECURITY_CARVEOUT17_BOM_HI                           0x2378
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5    0x23ac
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS4                    0x20c0
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4    0x2358
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS2                   0x22e8
#define MC_SECURITY_CARVEOUT16_CFG0                             0x2320
#define MC_SECURITY_CARVEOUT9_BOM                               0x20f4
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3    0x22b4
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS0                   0x24c0
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2    0x23a0
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS5                   0x2254
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0     0x2078
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1    0x25cc
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1    0x239c
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3    0x25d4
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5    0x267c
#define MC_SECURITY_CARVEOUT22_BOM_HI                           0x2508
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS1                    0x2064
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3    0x2354
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5    0x276c
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0    0x26b8
#define MC_SECURITY_CARVEOUT27_SIZE_128KB                       0x269c
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS5                   0x2484
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS3                   0x23dc
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2    0x2210
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0    0x2438
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS4                   0x2250
#define MC_SECURITY_CARVEOUT12_BOM_HI                           0x21e8
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4    0x2718
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS0                   0x2470
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS0                   0x2290
#define MC_SECURITY_CARVEOUT8_SIZE_128KB                        0x20ac
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4    0x2628
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS3                   0x260c
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS4                   0x22a0
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS1                   0x25b4
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3    0x2534
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4    0x2448
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1     0x20cc
#define MC_SECURITY_CARVEOUT11_BOM                              0x2194
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0    0x2668
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS3                    0x206c
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS2                   0x26a8
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS1                   0x26f4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3    0x26c4
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS4                   0x2430
#define MC_SECURITY_CARVEOUT28_SIZE_128KB                       0x26ec
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS3                   0x251c
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS4                   0x2570
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS4                   0x2200
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5    0x253c
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS4                    0x2020
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS5                   0x2394
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5     0x20dc
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS1                   0x2744
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5    0x23fc
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS0                   0x2330
#define MC_SECURITY_CARVEOUT13_SIZE_128KB                       0x223c
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2    0x24e0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS3                   0x21ac
#define MC_SECURITY_CARVEOUT19_BOM                              0x2414
#define MC_SECURITY_CARVEOUT7_BOM                               0x2054
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3    0x2714
#define MC_SECURITY_CARVEOUT23_SIZE_128KB                       0x255c
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0    0x2398
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS0                    0x2060
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS5                    0x20c4
#define MC_SECURITY_CARVEOUT23_CFG0                             0x2550
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS2                   0x2568
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3    0x2624
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3    0x2444
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0     0x20c8
#define MC_SECURITY_CARVEOUT12_SIZE_128KB                       0x21ec
#define MC_SECURITY_CARVEOUT13_BOM                              0x2234
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS1                   0x2244
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS3                   0x24cc
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2    0x2300
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS5                   0x26b4
#define MC_SECURITY_CARVEOUT17_CFG0                             0x2370
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS5                   0x22a4
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4     0x2088
#define MC_SECURITY_CARVEOUT29_SIZE_128KB                       0x273c
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS3                   0x274c
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3    0x2304
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1     0x211c
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3    0x2674
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2    0x25d0
#define MC_SECURITY_CARVEOUT24_BOM_HI                           0x25a8
#define MC_SECURITY_CARVEOUT27_CFG0                             0x2690
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS5                   0x22f4
#define MC_SECURITY_CARVEOUT16_SIZE_128KB                       0x232c
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1     0x207c
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS2                    0x2108
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS3                   0x22ec
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0    0x2708
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1    0x261c
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS0                   0x25b0
#define MC_SECURITY_CARVEOUT18_BOM                              0x23c4
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5    0x258c
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2    0x23f0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0    0x2528
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1    0x248c
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4     0x20d8
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS4                   0x25c0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5    0x226c
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS0                    0x20b0
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS0                   0x2510
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS0                   0x2600
#define MC_SECURITY_CARVEOUT24_CFG0                             0x25a0
#define MC_SECURITY_CARVEOUT28_CFG0                             0x26e0
#define MC_SECURITY_CARVEOUT24_SIZE_128KB                       0x25ac
#define MC_SECURITY_CARVEOUT6_CFG0                              0x2000
#define MC_SECURITY_CARVEOUT21_BOM                              0x24b4
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3    0x2214
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5    0x249c
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS2                   0x21a8
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS1                   0x2604
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS4                   0x2340
#define MC_SECURITY_CARVEOUT29_CFG0                             0x2730
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4    0x22b8
#define MC_SECURITY_CARVEOUT14_BOM_HI                           0x2288
#define MC_SECURITY_CARVEOUT11_CFG0                             0x2190
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS3                   0x21fc
#define MC_SECURITY_CARVEOUT9_SIZE_128KB                        0x20fc
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3    0x2764
#define MC_SECURITY_CARVEOUT8_CFG0                              0x20a0
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2    0x2580
#define MC_SECURITY_CARVEOUT20_BOM                              0x2464
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS5                   0x2164
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5    0x21cc
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS4                   0x2480
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4    0x2538
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS5                   0x2434
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2    0x2350
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS2                   0x2748
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4    0x24e8
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS1                   0x2294
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS5                   0x21b4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS4                   0x2520
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS4                   0x23e0
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS1                   0x2334
#define MC_SECURITY_CARVEOUT28_BOM                              0x26e4
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS1                    0x20b4
#define MC_SECURITY_CARVEOUT15_BOM                              0x22d4
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS1                   0x21a4
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3    0x2174
#define MC_SECURITY_CARVEOUT6_BOM                               0x2004
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS3                   0x26ac
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2    0x26c0
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS3                    0x201c
#define MC_SECURITY_CARVEOUT10_BOM                              0x2144
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2    0x2710
#define MC_SECURITY_CARVEOUT29_BOM_HI                           0x2738
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0    0x2258
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS0                   0x26f0
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS0                   0x23d0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS0                   0x2150
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2    0x2760
#define MC_SECURITY_CARVEOUT7_BOM_HI                            0x2058
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS2                   0x2428
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS4                    0x2110
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS5                   0x2524
#define MC_SECURITY_CARVEOUT19_SIZE_128KB                       0x241c
#define MC_SECURITY_CARVEOUT18_SIZE_128KB                       0x23cc
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1    0x22fc
#define MC_SECURITY_CARVEOUT10_CFG0                             0x2140
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1    0x270c
#define MC_SECURITY_CARVEOUT26_CFG0                             0x2640
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1    0x21bc
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0    0x2168
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4    0x2308
#define MC_SECURITY_CARVEOUT6_BOM_HI                            0x2008
#define MC_SECURITY_CARVEOUT15_SIZE_128KB                       0x22dc
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2    0x2670
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS4                   0x24d0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS4                   0x2660
#define MC_SECURITY_CARVEOUT14_SIZE_128KB                       0x228c
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5    0x25dc
#define MC_SECURITY_CARVEOUT6_SIZE_128KB                        0x200c
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS2                   0x24c8
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS2                   0x2478
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS1                    0x2014
#define MC_SECURITY_CARVEOUT19_CFG0                             0x2410
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS3                   0x25bc
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS1                   0x21f4
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS2                    0x2018
#define MC_SECURITY_CARVEOUT20_SIZE_128KB                       0x246c
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5    0x26cc
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5    0x217c
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS4                   0x2700
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS1                   0x2654
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS1                   0x2564
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4    0x2498
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS0                   0x2740
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1    0x22ac
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3    0x23f4
#define MC_SECURITY_CARVEOUT27_BOM                              0x2694
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS3                   0x224c
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS1                   0x2514
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS1                    0x2104
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2    0x21c0
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1    0x26bc
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS4                    0x2070
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3     0x20d4
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS1                   0x2154
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1    0x234c
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS5                   0x23e4
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS2                   0x2608
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS4                   0x2390
#define MC_SECURITY_CARVEOUT19_BOM_HI                           0x2418
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS4                   0x26b0
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS0                   0x21a0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS3                   0x256c
#define MC_SECURITY_CARVEOUT11_BOM_HI                           0x2198
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0    0x25c8
#define MC_SECURITY_CARVEOUT23_BOM                              0x2554
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0     0x2028
#define MC_SECURITY_CARVEOUT13_CLIENT_ACCESS0                   0x2240
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS3                   0x247c
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0    0x2618
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4    0x2268
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS4                   0x22f0
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3    0x24e4
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1     0x202c
#define MC_SECURITY_CARVEOUT24_BOM                              0x25a4
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5     0x212c
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4    0x2218
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0    0x23e8
#define MC_SECURITY_CARVEOUT21_BOM_HI                           0x24b8
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4    0x2588
#define MC_SECURITY_CARVEOUT25_SIZE_128KB                       0x25fc
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5    0x22bc
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS2                   0x21f8
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS2                   0x2338
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS3                   0x26fc
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2     0x2030
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4    0x21c8
#define MC_SECURITY_CARVEOUT16_BOM                              0x2324
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4    0x2178
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4     0x2128
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS0                   0x2420
#define MC_SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2     0x20d0
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS5                    0x2074
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3     0x2084
#define MC_SECURITY_CARVEOUT18_BOM_HI                           0x23c8
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0    0x24d8
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5    0x230c
#define MC_SECURITY_CARVEOUT16_CLIENT_ACCESS5                   0x2344
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS2                   0x2658
#define MC_SECURITY_CARVEOUT15_CLIENT_ACCESS1                   0x22e4
#define MC_SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0    0x22f8
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS0                   0x2650
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5    0x235c
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS3                   0x242c
#define MC_SECURITY_CARVEOUT29_BOM                              0x2734
#define MC_SECURITY_CARVEOUT11_CLIENT_ACCESS4                   0x21b0
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2    0x2260
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS5                   0x2614
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1    0x257c
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS5                   0x2754
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS4                   0x2160
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS5                    0x2114
#define MC_SECURITY_CARVEOUT13_BOM_HI                           0x2238
#define MC_SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1    0x266c
#define MC_SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0    0x21b8
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0     0x2118
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS2                    0x20b8
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS2                   0x26f8
#define MC_SECURITY_CARVEOUT28_BOM_HI                           0x26e8
#define MC_SECURITY_CARVEOUT8_BOM_HI                            0x20a8
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS2                   0x2388
#define MC_SECURITY_CARVEOUT21_CFG0                             0x24b0
#define MC_SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2    0x2530
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS0                   0x26a0
#define MC_SECURITY_CARVEOUT12_BOM                              0x21e4
#define MC_SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4    0x26c8
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS5                    0x2024
#define MC_SECURITY_CARVEOUT10_BOM_HI                           0x2148
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3    0x23a4
#define MC_SECURITY_CARVEOUT10_SIZE_128KB                       0x214c
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS2                   0x2298
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS5                   0x24d4
#define MC_SECURITY_CARVEOUT22_CLIENT_ACCESS2                   0x2518
#define MC_SECURITY_CARVEOUT23_BOM_HI                           0x2558
#define MC_SECURITY_CARVEOUT24_CLIENT_ACCESS2                   0x25b8
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4     0x2038
#define MC_SECURITY_CARVEOUT26_BOM_HI                           0x2648
#define MC_SECURITY_CARVEOUT6_CLIENT_ACCESS0                    0x2010
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2    0x2440
#define MC_SECURITY_CARVEOUT9_CLIENT_ACCESS0                    0x2100
#define MC_SECURITY_CARVEOUT18_CFG0                             0x23c0
#define MC_SECURITY_CARVEOUT26_CLIENT_ACCESS5                   0x2664
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0    0x2578
#define MC_SECURITY_CARVEOUT27_BOM_HI                           0x2698
#define MC_SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4    0x25d8
#define MC_SECURITY_CARVEOUT22_SIZE_128KB                       0x250c
#define MC_SECURITY_CARVEOUT21_CLIENT_ACCESS1                   0x24c4
#define MC_SECURITY_CARVEOUT27_CLIENT_ACCESS1                   0x26a4
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS0                   0x21f0
#define MC_SECURITY_CARVEOUT10_CLIENT_ACCESS2                   0x2158
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4    0x23f8
#define MC_SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5    0x271c
#define MC_SECURITY_CARVEOUT7_CLIENT_ACCESS2                    0x2068
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2    0x22b0
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS5                   0x2574
#define MC_SECURITY_CARVEOUT23_CLIENT_ACCESS0                   0x2560
#define MC_SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1    0x220c
#define MC_SECURITY_CARVEOUT28_CLIENT_ACCESS5                   0x2704
#define MC_SECURITY_CARVEOUT11_SIZE_128KB                       0x219c
#define MC_SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2     0x2080
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4    0x2768
#define MC_SECURITY_CARVEOUT25_BOM_HI                           0x25f8
#define MC_SECURITY_CARVEOUT14_BOM                              0x2284
#define MC_SECURITY_CARVEOUT16_BOM_HI                           0x2328
#define MC_SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1    0x23ec
#define MC_SECURITY_CARVEOUT20_CFG0                             0x2460
#define MC_SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3    0x2494
#define MC_SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1    0x24dc
#define MC_SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0    0x2348
#define MC_SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0    0x22a8
#define MC_SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4    0x23a8
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2    0x2620
#define MC_SECURITY_CARVEOUT17_CLIENT_ACCESS3                   0x238c
#define MC_SECURITY_CARVEOUT25_CLIENT_ACCESS4                   0x2610
#define MC_SECURITY_CARVEOUT25_CFG0                             0x25f0
#define MC_SECURITY_CARVEOUT19_CLIENT_ACCESS1                   0x2424
#define MC_SECURITY_CARVEOUT8_CLIENT_ACCESS3                    0x20bc
#define MC_SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3    0x2264
#define MC_SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1    0x216c
#define MC_SECURITY_CARVEOUT14_CFG0                             0x2280
#define MC_SECURITY_CARVEOUT20_CLIENT_ACCESS1                   0x2474
#define MC_SECURITY_CARVEOUT8_BOM                               0x20a4
#define MC_SECURITY_CARVEOUT29_CLIENT_ACCESS4                   0x2750
#define MC_SECURITY_CARVEOUT22_CFG0                             0x2500
#define MC_SECURITY_CARVEOUT26_SIZE_128KB                       0x264c
#define MC_SECURITY_CARVEOUT17_BOM                              0x2374
#define MC_SECURITY_CARVEOUT18_CLIENT_ACCESS2                   0x23d8
#define MC_SECURITY_CARVEOUT13_CFG0                             0x2230
#define MC_SECURITY_CARVEOUT26_BOM                              0x2644
#define MC_SECURITY_CARVEOUT14_CLIENT_ACCESS3                   0x229c
#define MC_SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1    0x275c
#define MC_SECURITY_CARVEOUT20_BOM_HI                           0x2468
#define MC_SECURITY_CARVEOUT12_CLIENT_ACCESS5                   0x2204
#define MC_SECURITY_CARVEOUT21_SIZE_128KB                       0x24bc
#define MC_SECURITY_CARVEOUT17_SIZE_128KB                       0x237c
#define MC_SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5    0x244c
#define MC_SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3    0x2584
#define MC_SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3     0x2124
#define MC_SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3     0x2034
#define MC_SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5    0x262c
#define MC_SECURITY_CARVEOUT25_BOM                              0x25f4
#define MC_ERR_APB_ASID_UPDATE_STATUS                           0x9d0
#define MC_DA_CONFIG0                                           0x9dc
#define MC_TXN_OVERRIDE_CONFIG_HDAR                             0x10a8
#define MC_TXN_OVERRIDE_CONFIG_BPMPW                            0x14a0
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAR                   0x14cc
#define MC_TXN_OVERRIDE_CONFIG_PTCR                             0x1000
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAW                   0x1504
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR                       0x1490
#define MC_TXN_OVERRIDE_CONFIG_EQOSW                            0x1478
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSWR                         0x13f8
#define MC_TXN_OVERRIDE_CONFIG_ISPRA                            0x1220
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAA                         0x1328
#define MC_TXN_OVERRIDE_CONFIG_VICSRD                           0x1360
#define MC_TXN_OVERRIDE_CONFIG_MPCOREW                          0x11c8
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD1                 0x151c
#define MC_TXN_OVERRIDE_CONFIG_GPUSRD                           0x12c0
#define MC_TXN_OVERRIDE_CONFIG_AXISR                            0x1460
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD1                   0x1514
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAR                  0x14ac
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAW                          0x14f0
#define MC_TXN_OVERRIDE_CONFIG_SDMMCW                           0x1330
#define MC_TXN_OVERRIDE_CONFIG_EQOSR                            0x1470
#define MC_TBU_CLIENT_STEERING_CONFIG_SESWR                     0x140c
#define MC_TXN_OVERRIDE_CONFIG_APEDMAR                          0x14f8
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSW                     0x147c
#define MC_TXN_OVERRIDE_CONFIG_NVENCSRD                         0x10e0
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVW                 0x126c
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISR                     0x1464
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRR                      0x1424
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAB                         0x1318
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCORER                   0x113c
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAW                     0x11ec
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_DEVR                 0x1264
#define MC_TXN_OVERRIDE_CONFIG_VICSRD1                          0x1510
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTR                0x1254
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSRD                  0x13f4
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAR                         0x14a8
#define MC_TXN_OVERRIDE_CONFIG_VIW                              0x1390
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPDMAW                  0x14b4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRAA                         0x1308
#define MC_TXN_OVERRIDE_CONFIG_AXISW                            0x1468
#define MC_TBU_CLIENT_STEERING_CONFIG_XUSB_HOSTW                0x125c
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCW                    0x1334
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVR                        0x1260
#define MC_TXN_OVERRIDE_CONFIG_UFSHCR                           0x1480
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAA                  0x130c
#define MC_TXN_OVERRIDE_CONFIG_TSECSWR                          0x12a8
#define MC_TBU_CLIENT_STEERING_CONFIG_GPUSWR2                   0x144c
#define MC_TXN_OVERRIDE_CONFIG_GPUSWR                           0x12c8
#define MC_TXN_OVERRIDE_CONFIG_SATAR                            0x10f8
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTW                       0x1258
#define MC_TXN_OVERRIDE_CONFIG_TSECSWRB                         0x1438
#define MC_TBU_CLIENT_STEERING_CONFIG_APER                      0x13d4
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPRA                     0x1224
#define MC_TBU_CLIENT_STEERING_CONFIG_AFIR                      0x1074
#define MC_TBU_CLIENT_STEERING_CONFIG_GPUSRD                    0x12c4
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSWR                    0x136c
#define MC_TXN_OVERRIDE_CONFIG_GPUSRD2                          0x1440
#define MC_TXN_OVERRIDE_CONFIG_SCEDMAR                          0x14e8
#define MC_TBU_CLIENT_STEERING_CONFIG_AONW                      0x14c4
#define MC_TXN_OVERRIDE_CONFIG_GPUSWR2                          0x1448
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAR                   0x14ec
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRD                   0x12a4
#define MC_TXN_OVERRIDE_CONFIG_AONDMAW                          0x14d0
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWA                     0x1234
#define MC_TXN_OVERRIDE_CONFIG_APEDMAW                          0x1500
#define MC_TXN_OVERRIDE_CONFIG_AONW                             0x14c0
#define MC_TXN_OVERRIDE_CONFIG_HOST1XDMAR                       0x10b0
#define MC_TXN_OVERRIDE_CONFIG_ETRR                             0x1420
#define MC_TXN_OVERRIDE_CONFIG_SESWR                            0x1408
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRA                   0x1304
#define MC_TBU_CLIENT_STEERING_CONFIG_VIW                       0x1394
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPR                     0x149c
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSRD                  0x13c4
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWR                   0x12ac
#define MC_TBU_CLIENT_STEERING_CONFIG_EQOSR                     0x1474
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSRDB                  0x1434
#define MC_TXN_OVERRIDE_CONFIG_NVJPGSRD                         0x13f0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEDMAR                   0x14fc
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD                         0x13c0
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCR                    0x1314
#define MC_TXN_OVERRIDE_CONFIG_TSECSRDB                         0x1430
#define MC_TXN_OVERRIDE_CONFIG_BPMPDMAW                         0x14b0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCR                    0x1484
#define MC_TXN_OVERRIDE_CONFIG_APER                             0x13d0
#define MC_TBU_CLIENT_STEERING_CONFIG_UFSHCW                    0x148c
#define MC_TBU_CLIENT_STEERING_CONFIG_AONR                      0x14bc
#define MC_TBU_CLIENT_STEERING_CONFIG_MPCOREW                   0x11cc
#define MC_TXN_OVERRIDE_CONFIG_NVDECSRD1                        0x1518
#define MC_TBU_CLIENT_STEERING_CONFIG_HOST1XDMAR                0x10b4
#define MC_TBU_CLIENT_STEERING_CONFIG_AONDMAW                   0x14d4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_HOSTR                       0x1250
#define MC_TXN_OVERRIDE_CONFIG_ISPWA                            0x1230
#define MC_TBU_CLIENT_STEERING_CONFIG_AFIW                      0x118c
#define MC_TBU_CLIENT_STEERING_CONFIG_SATAR                     0x10fc
#define MC_TXN_OVERRIDE_CONFIG_SESRD                            0x1400
#define MC_TBU_CLIENT_STEERING_CONFIG_SESRD                     0x1404
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAB                  0x133c
#define MC_TBU_CLIENT_STEERING_CONFIG_AXISW                     0x146c
#define MC_TXN_OVERRIDE_CONFIG_SCER                             0x14d8
#define MC_TBU_CLIENT_STEERING_CONFIG_ISPWB                     0x123c
#define MC_TBU_CLIENT_STEERING_CONFIG_TSECSWRB                  0x143c
#define MC_TXN_OVERRIDE_CONFIG_AONR                             0x14b8
#define MC_TXN_OVERRIDE_CONFIG_MPCORER                          0x1138
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWA                          0x1320
#define MC_TXN_OVERRIDE_CONFIG_HDAW                             0x11a8
#define MC_TXN_OVERRIDE_CONFIG_NVDECSWR                         0x13c8
#define MC_TBU_CLIENT_STEERING_CONFIG_GPUSRD2                   0x1444
#define MC_TBU_CLIENT_STEERING_CONFIG_PTCR                      0x1004
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWAA                  0x132c
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDECSWR                  0x13cc
#define MC_TXN_OVERRIDE_CONFIG_UFSHCW                           0x1488
#define MC_TXN_OVERRIDE_CONFIG_AONDMAR                          0x14c8
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCRAB                  0x131c
#define MC_TXN_OVERRIDE_CONFIG_SATAW                            0x11e8
#define MC_TXN_OVERRIDE_CONFIG_ETRW                             0x1428
#define MC_TXN_OVERRIDE_CONFIG_VICSWR                           0x1368
#define MC_TBU_CLIENT_STEERING_CONFIG_GPUSWR                    0x12cc
#define MC_TXN_OVERRIDE_CONFIG_NVENCSWR                         0x1158
#define MC_TXN_OVERRIDE_CONFIG_AFIR                             0x1070
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEW                      0x14e4
#define MC_TXN_OVERRIDE_CONFIG_SDMMCWAB                         0x1338
#define MC_TBU_CLIENT_STEERING_CONFIG_SCER                      0x14dc
#define MC_TBU_CLIENT_STEERING_CONFIG_SDMMCWA                   0x1324
#define MC_TXN_OVERRIDE_CONFIG_SDMMCRA                          0x1300
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR1               0x150c
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAR                      0x10ac
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSWR                  0x115c
#define MC_TBU_CLIENT_STEERING_CONFIG_BPMPW                     0x14a4
#define MC_TXN_OVERRIDE_CONFIG_NVDISPLAYR1                      0x1508
#define MC_TBU_CLIENT_STEERING_CONFIG_NVJPGSWR                  0x13fc
#define MC_TXN_OVERRIDE_CONFIG_ISPWB                            0x1238
#define MC_TBU_CLIENT_STEERING_CONFIG_SCEDMAW                   0x14f4
#define MC_TXN_OVERRIDE_CONFIG_BPMPR                            0x1498
#define MC_TXN_OVERRIDE_CONFIG_APEW                             0x13d8
#define MC_TBU_CLIENT_STEERING_CONFIG_ETRW                      0x142c
#define MC_TXN_OVERRIDE_CONFIG_SDMMCR                           0x1310
#define MC_TBU_CLIENT_STEERING_CONFIG_NVDISPLAYR                0x1494
#define MC_TBU_CLIENT_STEERING_CONFIG_HDAW                      0x11ac
#define MC_TBU_CLIENT_STEERING_CONFIG_NVENCSRD                  0x10e4
#define MC_TXN_OVERRIDE_CONFIG_XUSB_DEVW                        0x1268
#define MC_TXN_OVERRIDE_CONFIG_TSECSRD                          0x12a0
#define MC_TBU_CLIENT_STEERING_CONFIG_APEW                      0x13dc
#define MC_TXN_OVERRIDE_CONFIG_AFIW                             0x1188
#define MC_TXN_OVERRIDE_CONFIG_SCEW                             0x14e0
#define MC_TBU_CLIENT_STEERING_CONFIG_VICSRD                    0x1364
#define MC_TBU_ADR_MASK_0                                       0x1800
#define MC_TBU_ADR_MASK_1                                       0x1804
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_0                         0x1808
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_1                         0x180c
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_2                         0x1810
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_3                         0x1814
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_4                         0x1818
#define MC_CLIENT_TRAFFIC_TYPE_CONFIG_5                         0x181c
#define MC_CLIENT_CCI_CAPABLE_0                                 0x1824
#define MC_CLIENT_CCI_CAPABLE_1                                 0x1828
#define MC_CLIENT_CCI_CAPABLE_2                                 0x182c
#define MC_CLIENT_CCI_CAPABLE_3                                 0x1830
#define MC_CLIENT_CCI_CAPABLE_4                                 0x1834
#define MC_CLIENT_CCI_CAPABLE_5                                 0x1838
#define MC_CLIENT_CCI_CAPABLE_6                                 0x183c
#define MC_MAX_OUTSTANDING_CCI                                  0x1840
#define MC_NV_CACHE_CONFIG                                      0x1844
#define MC_NV_CACHE_HUB_MASK                                    0x184c
#define MC_SYSRAM_BOM                                           0x1850
#define MC_SYSRAM_TOM                                           0x1854
#define MC_SYSRAM_ADR_HI                                        0x1588
#define MC_SYSRAM_REG_CTRL                                      0x185c
#define MC_ECC_CONTROL                                          0x1880
#define MC_ECC_CFG                                              0x1884
#define MC_EMEM_ADR_CFG_CHANNEL_ENABLE				0xdf8
#define MC_TR_BIT_CTL                                           0xed0
#define MC_CH_INTSTATUS                                         0xe54
#define MC_LATENCY_ALLOWANCE_WCAM                               0xe5c
#define MC_CFG_WCAM                                             0xe60
#define MC_WCAM_ENCR_KEY_STATUS                                 0xe64
#define MC_WCAM_STATE                                           0xeb0
#define MC_WCAM_IRQ_TEST                                        0xedc
#define MC_WCAM_IRQ_P0_STATUS0                                  0xee0
#define MC_WCAM_IRQ_P0_STATUS1                                  0xee4
#define MC_WCAM_IRQ_P1_STATUS0                                  0xee8
#define MC_WCAM_IRQ_P1_STATUS1                                  0xeec
#define MC_ROC_DMA_R_PTSA_MIN                                   0xe68
#define MC_ROC_DMA_R_PTSA_MAX                                   0xe6c
#define MC_ROC_DMA_R_PTSA_RATE                                  0xe70
#define MC_RING1_WR_B_PTSA_MIN                                  0xe74
#define MC_RING1_WR_B_PTSA_MAX                                  0xe78
#define MC_RING1_WR_B_PTSA_RATE                                 0xe7c
#define MC_RING1_WR_NB_PTSA_MIN                                 0xe80
#define MC_RING1_WR_NB_PTSA_MAX                                 0xe84
#define MC_RING1_WR_NB_PTSA_RATE                                0xe88
#define MC_RING1_RD_B_PTSA_MIN                                  0xe8c
#define MC_RING1_RD_B_PTSA_MAX                                  0xe90
#define MC_RING1_RD_B_PTSA_RATE                                 0xe94
#define MC_RING1_RD_NB_PTSA_MIN                                 0xe98
#define MC_RING1_RD_NB_PTSA_MAX                                 0xe9c
#define MC_RING1_RD_NB_PTSA_RATE                                0xea0
#define MC_FREE_BANK_QUEUES                                     0xea4
#define MC_RING0_MT_FIFO_CREDITS                                0xea8
#define MC_LATENCY_ALLOWANCE_ROC_DMA_R_0                        0xeac
#define MC_MEM_SCRUBBER_ECC_ADDR                                0xf18
#define MC_MEM_SCRUBBER_ECC_REG_CTRL                            0xf20
#define MC_CCITRX_ENABLE_CONFIG                                 0xf3c
#define MC_CCI_WR_LATENCY_ALLOWANCE_CONFIG			0xf40
#define MC_EMEM_ARB_THROTTLE_CFG				0xf44

/* TODO: Is this correct? */
#define T18X_MC_LATENCY_ALLOWANCE_NUM_REGS			40

#endif
