/*
 * Copyright (c) 2018, NVIDIA CORPORATION. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#ifndef COMMON_CLK_H
#define COMMON_CLK_H

#ifdef __KERNEL__
#include <nvlink/linux/clk.h>
#else
#endif

/*
 * APIs or variables listed below should be implemented per-OS in a
 * separate library.
 */

struct nvlink_clk;

int nvlink_clk_prepare_enable(struct nvlink_clk clk);
int nvlink_clk_set_parent(struct nvlink_clk clk, struct nvlink_clk parent);
unsigned long nvlink_clk_get_rate(struct nvlink_clk clk);
int nvlink_clk_set_rate(struct nvlink_clk clk, unsigned long rate);
void nvlink_clk_disable_unprepare(struct nvlink_clk clk);

#endif /* COMMON_CLK_H */
