/*
 * Copyright (c) 2018, NVIDIA CORPORATION. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#ifndef COMMON_IO_H
#define COMMON_IO_H

/*
 * APIs or variables listed below should be implemented per-OS in a
 * separate library.
 */

u32 nvlw_tioctrl_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_tioctrl_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 nvlw_nvlipt_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_nvlipt_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 nvlw_minion_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_minion_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 nvlw_nvl_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_nvl_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 nvlw_sync2x_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_sync2x_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 nvlw_nvltlc_readl(struct tnvlink_dev *tdev, u32 reg);
void nvlw_nvltlc_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

u32 mssnvlink_0_readl(struct tnvlink_dev *tdev, u32 reg);
void mssnvlink_0_writel(struct tnvlink_dev *tdev, u32 reg, u32 val);

void non_nvlink_writel(u32 reg, u32 val);

#endif /* COMMON_IO_H */
