/*
 * Copyright (c) 2018, NVIDIA CORPORATION.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LINUX_CLK_H
#define LINUX_CLK_H

#include <linux/clk.h>

struct nvlink_clk {
	struct clk *clk;
};

static inline int nvlink_clk_prepare_enable(struct nvlink_clk clk)
{
	return clk_prepare_enable(clk.clk);
}

static inline int nvlink_clk_set_parent(struct nvlink_clk clk,
				struct nvlink_clk parent)
{
	return clk_set_parent(clk.clk, parent.clk);
}

static inline unsigned long nvlink_clk_get_rate(struct nvlink_clk clk)
{
	return clk_get_rate(clk.clk);
}

static inline int nvlink_clk_set_rate(struct nvlink_clk clk,
				unsigned long rate)
{
	return clk_set_rate(clk.clk, rate);
}

static inline void nvlink_clk_disable_unprepare(struct nvlink_clk clk)
{
	clk_disable_unprepare(clk.clk);
}

#endif /* LINUX_CLK_H */
