/*
 * Copyright (c) 2018, NVIDIA CORPORATION.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LINUX_LOCK_H
#define LINUX_LOCK_H

#include <linux/mutex.h>


struct nvlink_mutex {
	struct mutex mutex;
};

static inline void nvlink_mutex_init(struct nvlink_mutex *mutex)
{
	mutex_init(&mutex->mutex);
};
static inline void nvlink_mutex_acquire(struct nvlink_mutex *mutex)
{
	mutex_lock(&mutex->mutex);
};
static inline void nvlink_mutex_release(struct nvlink_mutex *mutex)
{
	mutex_unlock(&mutex->mutex);
};
static inline void nvlink_mutex_destroy(struct nvlink_mutex *mutex)
{
	mutex_destroy(&mutex->mutex);
};

#endif /* LINUX_LOCK_H */
