/*
 * Copyright (c) 2018, NVIDIA CORPORATION.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LINUX_RESET_H
#define LINUX_RESET_H

#include <linux/reset.h>

struct nvlink_reset_control {
	struct reset_control *rstc;
};

static inline int nvlink_reset_control_reset(struct nvlink_reset_control rstc)
{
	return reset_control_reset(rstc.rstc);
}

static inline int nvlink_reset_control_assert(struct nvlink_reset_control rstc)
{
	return reset_control_assert(rstc.rstc);
}

static inline int nvlink_reset_control_deassert(
					struct nvlink_reset_control rstc)
{
	return reset_control_deassert(rstc.rstc);
}

#endif /* LINUX_RESET_H */
